<script setup lang="ts">
import {useI18n} from 'vue-i18n'
import {onMounted, ref} from 'vue'
import CorpusTabs from '../components/CorpusTabs.vue'
import ResultTable from '../components/ResultTable.vue'
import {searchQuery} from 'components/helpers'
import {useQuasar} from 'quasar'
import {useMacStore} from 'stores/mac-store'

onMounted(() => {
    macStore.getTexts()
    if ($q.localStorage.getItem('queryResultMac')) {
        dataToRepresentation.value = $q.localStorage.getItem('queryResultMac')
    }
})

const $q = useQuasar()
const {t} = useI18n()
const macStore = useMacStore()

const dataToRepresentation = ref<any>([])

const search = (payload: any) => {
    $q.localStorage.set('queryResultMac', [])
    dataToRepresentation.value = searchQuery(payload, macStore.sentences_mac)
    $q.localStorage.set('queryResultMac', dataToRepresentation.value)
}
</script>

<template>
    <q-page class="q-page-container">
        <main class="q-page index-doc-page">
            <div class="text-primary doc-heading doc-h2 text-h4">The Macedonian Corpus</div>

            <div class="q-mt-lg">
                <CorpusTabs lang="mac" @submitFromCorpusTabs="search" />
            </div>
        </main>
        <div class="q-page table-container">
            <ResultTable :result="dataToRepresentation" :meta="macStore.meta_mac" lang="mac" />
        </div>
    </q-page>
</template>

<style>
.table-container {
    width: 60%;
    margin: auto;
}

@media only screen and (max-width: 700px) {
    .table-container {
        width: 96%;
    }
}
</style>
